Package: grails.artefact.controller

## [Groovy] Trait RestResponder

- grails.artefact.controller.RestResponder

- Authors:
    Jeff Brown
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ProxyHandler` | `proxyHandler`
    `RendererRegistry` | `rendererRegistry`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `respond(java.util.Map args, java.lang.Object value)` Same as RestResponder.respond, but here to support Groovy named arguments
    `` | `java.lang.Object` | `respond(java.util.Map value)` The respond method will attempt to delivery an appropriate response for the requested response format and Map value.
    `` | `java.lang.Object` | `respond(java.util.Map namedArgs, java.util.Map value)` Same as RestResponder.respond, but here to support Groovy named arguments
    `` | `java.lang.Object` | `respond(java.lang.Object value, java.util.Map args = [:])` The respond method will attempt to delivery an appropriate response for the requested response format and value.

- - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) ProxyHandler proxyHandler

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) RendererRegistry rendererRegistry

  - ### Method Detail

    - #### java.lang.Object respond(java.util.Map args, java.lang.Object value)

      Same as RestResponder.respond, but here to support Groovy named arguments

    - #### java.lang.Object respond(java.util.Map value)

      The respond method will attempt to delivery an appropriate response for the requested response format and Map value. If the value is null then a 404 will be returned. Otherwise the RendererRegistry will be consulted for an appropriate response renderer for the requested response format.

      Parameters:
        `value` - The value
      Returns:

    - #### java.lang.Object respond(java.util.Map namedArgs, java.util.Map value)

      Same as RestResponder.respond, but here to support Groovy named arguments

    - #### java.lang.Object respond(java.lang.Object value, java.util.Map args = [:])

      The respond method will attempt to delivery an appropriate response for the requested response format and value. If the value is null then a 404 will be returned. Otherwise the RendererRegistry will be consulted for an appropriate response renderer for the requested response format.

      Parameters:
        `value` - The value
        `args` - The arguments
      Returns: